#include "core/session.h"
#include "gui/window.h"
#include <QApplication>
#include <QStyleFactory>
#include <QLocale>

Session session;

int main(int argc, char** argv) {
	QApplication app(argc, argv);
	/* this is a reasonable default, I presume */
	QLocale::setDefault(QLocale(QLocale::English, QLocale::UnitedStates));

	session.config.Load();

	MainWindow window;

	window.resize(941, 750);
	window.setWindowTitle("Minori");
	window.show();

	return app.exec();
}
